Index: ca/rebuild_tree.sh
===================================================================
--- ca/rebuild_tree.sh	(revision 10)
+++ ca/rebuild_tree.sh	(revision 13)
@@ -43,2 +43,8 @@
 make newcert ca=eap.testbed.aaa name=supauth2.eap.testbed.aaa
 
+# Interop testbed
+make newca ca=mgr.testbed.aaa name=iop.testbed.aaa
+make newcert ca=iop.testbed.aaa name=fdrelay.iop.testbed.aaa
+make newcert ca=iop.testbed.aaa name=crcumcli.iop.testbed.aaa
+make newcert ca=iop.testbed.aaa name=crcumsrv.iop.testbed.aaa
+
Index: conf/crcumcli.iop.testbed.aaa/ca_name
===================================================================
--- conf/crcumcli.iop.testbed.aaa/ca_name	(revision 13)
+++ conf/crcumcli.iop.testbed.aaa/ca_name	(revision 13)
@@ -0,0 +1,1 @@
+iop.testbed.aaa
Index: conf/crcumcli.iop.testbed.aaa/circum/circumd.conf.xml
===================================================================
--- conf/crcumcli.iop.testbed.aaa/circum/circumd.conf.xml	(revision 13)
+++ conf/crcumcli.iop.testbed.aaa/circum/circumd.conf.xml	(revision 13)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<!DOCTYPE circumd SYSTEM "circumd.conf.xml.dtd">
+<circumd>
+
+	<socket type="ipv6" proto="tcp" port="3868" mandatory="0" tls="false" />
+	<socket type="ipv4" proto="tcp" port="3868" mandatory="0" tls="false" />
+
+	<!-- TLS port yet to be assigned
+	     (also change net.c once assigned)
+	-->
+	<socket type="ipv6" proto="tcp" port="49152" mandatory="0" tls="true" />
+	<socket type="ipv4" proto="tcp" port="49152" mandatory="0" tls="true" />
+
+	<socket type="ipv6" proto="sctp" port="3868" mandatory="0" tls="false" />
+	<socket type="ipv4" proto="sctp" port="3868" mandatory="0" tls="false" />
+
+</circumd>
Index: conf/crcumsrv.iop.testbed.aaa/ca_name
===================================================================
--- conf/crcumsrv.iop.testbed.aaa/ca_name	(revision 13)
+++ conf/crcumsrv.iop.testbed.aaa/ca_name	(revision 13)
@@ -0,0 +1,1 @@
+iop.testbed.aaa
Index: conf/crcumsrv.iop.testbed.aaa/circum/circumd.conf.xml
===================================================================
--- conf/crcumsrv.iop.testbed.aaa/circum/circumd.conf.xml	(revision 13)
+++ conf/crcumsrv.iop.testbed.aaa/circum/circumd.conf.xml	(revision 13)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<!DOCTYPE circumd SYSTEM "circumd.conf.xml.dtd">
+<circumd>
+
+	<socket type="ipv6" proto="tcp" port="3868" mandatory="0" tls="false" />
+	<socket type="ipv4" proto="tcp" port="3868" mandatory="0" tls="false" />
+
+	<!-- TLS port yet to be assigned
+	     (also change net.c once assigned)
+	-->
+	<socket type="ipv6" proto="tcp" port="49152" mandatory="0" tls="true" />
+	<socket type="ipv4" proto="tcp" port="49152" mandatory="0" tls="true" />
+
+	<socket type="ipv6" proto="sctp" port="3868" mandatory="0" tls="false" />
+	<socket type="ipv4" proto="sctp" port="3868" mandatory="0" tls="false" />
+
+</circumd>
Index: conf/fdrelay.iop.testbed.aaa/ca_name
===================================================================
--- conf/fdrelay.iop.testbed.aaa/ca_name	(revision 13)
+++ conf/fdrelay.iop.testbed.aaa/ca_name	(revision 13)
@@ -0,0 +1,1 @@
+iop.testbed.aaa
Index: conf/fdrelay.iop.testbed.aaa/freeDiameter/CMakeFlags
===================================================================
--- conf/fdrelay.iop.testbed.aaa/freeDiameter/CMakeFlags	(revision 13)
+++ conf/fdrelay.iop.testbed.aaa/freeDiameter/CMakeFlags	(revision 13)
@@ -0,0 +1,7 @@
+-DBUILD_DBG_MONITOR:BOOL=ON \
+-DBUILD_DBG_RT:BOOL=ON \
+-DBUILD_DICT_EAP:BOOL=OFF \
+-DBUILD_DICT_NASREQ:BOOL=OFF \
+-DBUILD_TESTING:BOOL=OFF \
+-DCMAKE_BUILD_TYPE:STRING=Debug \
+-DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
Index: conf/fdrelay.iop.testbed.aaa/freeDiameter/freeDiameter.conf
===================================================================
--- conf/fdrelay.iop.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 13)
+++ conf/fdrelay.iop.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 13)
@@ -0,0 +1,14 @@
+# This is a sample configuration file for freeDiameter daemon.
+
+SCTP_streams = 3;
+
+TLS_Cred = "/root/ca_data/cert.pem" , "/root/ca_data/privkey.pem";
+TLS_CA = "/root/ca_data/ca.pem";
+# TLS_CRL = "/root/ca_data/crl.pem";
+
+# LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
+#LoadExtension = "/root/freeDiameter/extensions/test_app.fdx"
+#		: "/root/conf/freeDiameter/test_app.conf";
+
+# ConnectPeer = "serv.simple.testbed.aaa" ;
+ConnectPeer = "crcumsrv.iop.testbed.aaa" { No_TLS; };
Index: conf/iopmgr.testbed.aaa/dns/dnsmasq.conf
===================================================================
--- conf/iopmgr.testbed.aaa/dns/dnsmasq.conf	(revision 12)
+++ conf/iopmgr.testbed.aaa/dns/dnsmasq.conf	(revision 13)
@@ -8,5 +8,6 @@
 dhcp-range=192.168.110.50,192.168.110.150,255.255.255.0,12h
 
-#dhcp-host=08:00:27:2D:8C:79,cli
+dhcp-host=08:00:27:3F:B9:DE,fdrelay
+dhcp-host=08:00:27:CC:9D:67,crcumcli
+dhcp-host=08:00:27:BA:15:92,crcumsrv
 
-
Index: conf/iopmgr.testbed.aaa/dns/hosts
===================================================================
--- conf/iopmgr.testbed.aaa/dns/hosts	(revision 12)
+++ conf/iopmgr.testbed.aaa/dns/hosts	(revision 13)
@@ -10,3 +10,6 @@
 ff02::3 ip6-allhosts
 
-# 192.168.110.10	fdrelay
+192.168.110.10	fdrelay
+192.168.110.20  crcumcli
+192.168.110.30  crcumsrv
+
Index: conf/mgr.testbeddomain/quagga/zebra.conf
===================================================================
--- conf/mgr.testbeddomain/quagga/zebra.conf	(revision 0)
+++ conf/mgr.testbeddomain/quagga/zebra.conf	(revision 13)
@@ -11,4 +11,5 @@
 ip route 192.168.115.0/24 192.168.101.3	
 ip route 192.168.105.0/24 192.168.101.5
+ip route 192.168.110.0/24 192.168.101.10
 
 ! dsmip: de 192 a 207
Index: mrb/iop_testbed.sh
===================================================================
--- mrb/iop_testbed.sh	(revision 12)
+++ mrb/iop_testbed.sh	(revision 13)
@@ -18,6 +18,6 @@
 	
 	# Maintenant on peut demarrer les autres VM en paralelle
-	#./vm_start.sh "eap-supauth.eap.testbed.aaa" &
-	#sleep 3
+	./vm_start.sh "iop-fdrelay.iop.testbed.aaa" &
+	sleep 3
 	#./vm_start.sh "eap-supauth2.eap.testbed.aaa" &
 	#sleep 3
@@ -30,6 +30,5 @@
 	./vm_pause.sh "__mgr.testbed.aaa" &
 	./vm_pause.sh "iop-iopmgr.testbed.aaa" &
-	#./vm_pause.sh "eap-supauth.eap.testbed.aaa" &
-	#./vm_pause.sh "eap-opendiam.eap.testbed.aaa" &
+	./vm_pause.sh "iop-fdrelay.iop.testbed.aaa" &
 	wait
 	;;
@@ -38,6 +37,5 @@
 	./vm_stop.sh "__mgr.testbed.aaa" &
 	./vm_stop.sh "iop-iopmgr.testbed.aaa" &
-	#./vm_stop.sh "eap-supauth.eap.testbed.aaa" &
-	#./vm_stop.sh "eap-opendiam.eap.testbed.aaa" &
+	./vm_stop.sh "iop-fdrelay.iop.testbed.aaa" &
 	wait
 	;;
Index: scripts/circum-install.sh
===================================================================
--- scripts/circum-install.sh	(revision 13)
+++ scripts/circum-install.sh	(revision 13)
@@ -0,0 +1,22 @@
+#!/bin/bash -x
+
+# Install dependencies
+aptitude install -y autoconf automake libtool pkg-config build-essential \
+  git-core libhx-dev libpcre3-dev libxml2-dev libssl-dev \
+  apache2-dev libpam-dev
+
+# Install the link to the configuration
+/home/aaa/installvm.sh conflink
+
+# Build circum
+rm -rf /root/circum
+rm -rf /root/circum-rt
+cd /root
+git clone file:///home/aaa/src/circum
+mkdir circum-rt
+cd circum
+./autogen.sh
+./configure --prefix=/root/circum-rt
+make && make install
+
+
Index: scripts/circum-run.sh
===================================================================
--- scripts/circum-run.sh	(revision 13)
+++ scripts/circum-run.sh	(revision 13)
@@ -0,0 +1,10 @@
+#!/bin/bash -x
+
+DATE=`date +%Y%m%d-%H%M%S`;
+HOST=`hostname --fqdn`;
+
+ulimit -c 1000000
+rm -f core*
+
+echo crcum-$HOST-$DATE.log > /home/aaa/logs/LATEST-$HOST-crcum.log
+/root/circum-rt/sbin/circumd -U root -D FF -c /root/conf/circum/circumd.conf.xml 2>&1 | tee -i /home/aaa/logs/crcum-$HOST-$DATE.log
Index: scripts/debian-install.sh
===================================================================
--- scripts/debian-install.sh	(revision 13)
+++ scripts/debian-install.sh	(revision 13)
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+# Install this component on Debian VMs
+echo ipv6 >> /etc/modules
+echo vboxvfs >> /etc/modules
+
Index: scripts/ipforward-install.sh
===================================================================
--- scripts/ipforward-install.sh	(revision 13)
+++ scripts/ipforward-install.sh	(revision 13)
@@ -0,0 +1,6 @@
+#!/bin/bash -x
+
+echo "net.ipv4.ip_forward=1" > /etc/sysctl.d/ipforward.conf
+echo "net.ipv6.conf.all.forwarding=1" >> /etc/sysctl.d/ipforward.conf
+echo 1 > /proc/sys/net/ipv4/ip_forward
+echo 1 > /proc/sys/net/ipv6/conf/all/forwarding
